PEARL Procedures Igor procedures for the analysis of PEARL data

- Main Page
- Related Pages
- Packages
- Namespaces
- Files

- File List
- Globals

Functions | Variables
pearl-area-live.ipf File Reference
`#include "pearl-epics"`

Go to the source code of this file.

## Functions
variable | ad_connect (string epicsname, string nickname)
variable | ad_live_callback (variable chan)
static variable | ad_update_ROI (string graphname, variable iroi)
static variable | ad_update_ROI_rect (string graphname, variable iroi, variable x1, variable y1, variable x2, variable y2, variable enable)
variable | ad_set_ROI (string nickname, variable iroi, variable p1, variable q1, variable p2, variable q2, variable enable)
variable | add_roi_controls ()
static variable | pmp_set_roi (WMPopupAction *pa)

## Variables
| version
static const string | package_path = "root:pearl_epics:"
static const string | prefs_objects = ""

## Function Documentation

variable ad_connect | ( | string | epicsname,
|  | string | nickname
| ) |  |

Definition at line 20 of file pearl-area-live.ipf.

variable ad_live_callback | ( | variable | chan | ) |

Definition at line 117 of file pearl-area-live.ipf.

variable ad_set_ROI | ( | string | nickname,
|  | variable | iroi,
|  | variable | p1,
|  | variable | q1,
|  | variable | p2,
|  | variable | q2,
|  | variable | enable
| ) |  |

Definition at line 292 of file pearl-area-live.ipf.

static variable ad_update_ROI | ( | string | graphname,
|  | variable | iroi
| ) |  |
| static

Definition at line 226 of file pearl-area-live.ipf.

static variable ad_update_ROI_rect | ( | string | graphname,
|  | variable | iroi,
|  | variable | x1,
|  | variable | y1,
|  | variable | x2,
|  | variable | y2,
|  | variable | enable
| ) |  |
| static

Definition at line 269 of file pearl-area-live.ipf.

variable add_roi_controls | ( |  | ) |

Definition at line 339 of file pearl-area-live.ipf.

static variable pmp_set_roi | ( | WMPopupAction * | pa | ) |
| static

Definition at line 346 of file pearl-area-live.ipf.

## Variable Documentation

const string package_path = "root:pearl_epics:"
| static

Definition at line 16 of file pearl-area-live.ipf.

const string prefs_objects = ""
| static

Definition at line 18 of file pearl-area-live.ipf.

version

Initial value:
= 1.02
static const string package_name = "pearl_epics"
package_name
static const string package_name
Definition: pearl-anneal.ipf:93

Definition at line 5 of file pearl-area-live.ipf.